Skip to content

upsertGauge

WRITE

Upsert gauge.

POST /api/v1/quality/upsertGauge
curl -X POST '<your-host>/api/v1/quality/upsertGauge' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "gaugeTypeId": "string",
    "gaugeRole": "Master",
    "calibrationIntervalInMonths": 0,
    "gaugeId": "string",
    "gaugeCalibrationStatus": "Pending",
    "_operation": "create"
  }'
Response
{
  "id": "string",
  "gaugeId": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min 1
"Pending""In-Calibration""Out-of-Calibration"
"Master""Standard"
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    },
    "modelNumber": {
      "type": "string"
    },
    "serialNumber": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "dateAcquired": {
      "type": "string"
    },
    "gaugeTypeId": {
      "type": "string",
      "minLength": 1
    },
    "gaugeRole": {
      "type": "string",
      "enum": [
        "Master",
        "Standard"
      ]
    },
    "lastCalibrationDate": {
      "type": "string"
    },
    "nextCalibrationDate": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "storageUnitId": {
      "type": "string"
    },
    "calibrationIntervalInMonths": {
      "type": "number",
      "minimum": 1
    },
    "gaugeId": {
      "type": "string"
    },
    "gaugeCalibrationStatus": {
      "type": "string",
      "enum": [
        "Pending",
        "In-Calibration",
        "Out-of-Calibration"
      ]
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "gaugeTypeId",
    "gaugeRole",
    "calibrationIntervalInMonths",
    "gaugeId",
    "gaugeCalibrationStatus",
    "_operation"
  ]
}